#ifndef _BTSIM_H_
#define _BTSIM_H_

/*************
 * CONSTANTS *
 *************/


const unsigned int TICKS_PER_SECOND = 1000;	/* tick <-> second conversion */
const unsigned int TXEVENT_MS = 100;		/* milliseconds between block
						   transfer events */
const unsigned int TXEVENT_TICKS = TICKS_PER_SECOND * TXEVENT_MS / 1000;
						/* ticks between block transfer
						   events */
const unsigned int LOGEVENT_MS = 30000;		/* milliseconds between logging
						   events */


/***********/
/* GLOBALS */
/***********/


extern unsigned int g_tick;			/* current simulator time */

#endif /* _BTSIM_H_ */
